%global srcname ConfigArgParse

Summary:        Python module with support for argparse, config files, and env variables
Name:           python-configargparse
Version:        1.7
Release:        3%{?dist}
License:        MIT
URL:            https://github.com/bw2/ConfigArgParse
Source0:        https://files.pythonhosted.org/packages/source/C/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
Applications with more than a handful of user-settable options are best configured through a
combination of command line args, config files, hard coded defaults, and in some cases, environment
variables.

Python’s command line parsing modules such as argparse have very limited support for config files
and environment variables, so this module extends argparse to add these features.

%package -n python3-configargparse
Summary:        Python module with support for argparse, config files, and env variables
BuildRequires:  python3-devel python3-pytest python3-setuptools python3-pyyaml

%description -n python3-configargparse
Applications with more than a handful of user-settable options are best configured through a
combination of command line args, config files, hard coded defaults, and in some cases, environment
variables.

Python’s command line parsing modules such as argparse have very limited support for config files
and environment variables, so this module extends argparse to add these features.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} pytest-%{python3_version} -k "not TestMisc"

%files -n python3-configargparse
%license LICENSE
%doc README.rst
%{python3_sitelib}/configargparse.py*
%{python3_sitelib}/%{srcname}*.egg-info
%{python3_sitelib}/__pycache__/configargparse*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7-2
- Rebuilt for loongarch release

* Tue Sep 26 2023 jackeyji <jackeyji@tencent.com> - 1.7-1
- upgrade to 1.7

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.3-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.3-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 15 2023 Shuo Wang <abushwang@tencent.com> - 1.5.3-1
- initial build
